﻿using System;
using System.Threading;
using System.Threading.Tasks;
using Microsoft.Extensions.Hosting;
using Microsoft.Extensions.Logging;

namespace SteeltoeTest
{
    public class Booyah : BackgroundService
    {
        private readonly ILogger<Booyah> _logger;
        public Booyah(ILogger<Booyah> logger)
        {
            _logger = logger;
        }

        protected override Task ExecuteAsync(CancellationToken stoppingToken)
        {
            Random random = new Random();
            while (true)
            {
                string message = string.Format("Logging message with random value {0}", random.Next());
                _logger.LogInformation(message);
                Thread.Sleep(2000);
            }
        }
    }
}
